Subject: Re: [PATCH] pretty format string support for reflog times

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Jul 2016 10:18:11 -0700

Jeff King <[email-masked]> writes:

> On Wed, Jul 27, 2016 at 04:14:14AM -0400, Phil Pennock wrote:
>
>> The reflog contains timestamp information, but these were not exposed to
>> `--pretty`.  Four of the six author/committer format string
>> second-letters were still available and copied, but `d`/`D` are taken
>> for reflog selector formatting.  So use `%gT` for "time" instead of
>> "date" mnemonic for using `--date=...` formatting.
>
> Hrm. Since Ted was not cc'd, it is not clear to me whether this is
> coincidental or in response to the thread over in
>
>   http://thread.gmane.org/gmane.comp.version-control.git/299201
>
> To summarize, I think the conclusion there was that we would go with at
> least the 't' and 'r' formatters in the short term. The 'i/I' ones were
> not something Ted cared about that much, I think, but they do make
> things orthogonal with the other ident dates.

I forgot about that thread after it stalled without drawing
conclusion, after Ted asked if anybody has a strong opinion
and saw only one response to it at

  https://public-inbox.org/git/20160711164317.GB3890%40thunk.org/

So, what is the next step?  Apply

  https://public-inbox.org/git/20160710055402.32684-1-tytso%40mit.edu/

but exclude %g[iI] bits out of that patch while doing so?

Thanks.